{% extends "base.html"%} 
<p>{% block pagination %}
<div class="pagination">
  <span class="step-links">
    {% if page_obj.has_previous %}
    <a href="?page=1">&laquo; first</a>
    <a href="?page={{ page_obj.previous_page_number }}">previous</a>
    {% endif %}

    <span class="current">
      Page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}.
    </span>

    {% if page_obj.has_next %}
    <a href="?page={{ page_obj.next_page_number }}">next</a>
    <a href="?page={{ page_obj.paginator.num_pages }}">last &raquo;</a>
    {% endif %}
  </span>
</div>
{% endblock pagination %}</p>
{% block content %}
<h1>Receipts</h1>
<main class="">
<table>
  <thead>
    <th>Vendor</th>
    <th>Total</th>
    <th>Tax</th>
    <th>Date</th>
    <th>Purchaser</th>
    <th>Category</th>
    <th>Account</th>
  </thead>
  <tbody>
  {% for receipt in receipts_list %}
 <tr>
   <td>{{receipt.vendor}}</td>
   <td>{{receipt.total}}</td>
   <td>{{receipt.tax}}</td>
   <td>{{receipt.date}}</td>
   <td>{{receipt.purchaser}}</td>
   <td>{{receipt.category}}</td>
   <td>{{receipt.account}}</td>
 </tr>
  {% endfor %}
  </tbody>
</table>
</main>
{% endblock content%} {%block title%}Receipts{%endblock title%}

{% comment %} line 24 you name it for (something relevant) in (model name_list) {% endcomment %}
{% comment %} line 24, 25, 26 show it on the page {% endcomment %}